Subject: Re: linux-next: manual merge of the vfs-brauner tree with the erofs-fixes tree

From: Gao Xiang <[email-masked]>
Date: Wed, 24 Apr 2024 10:13:43 +0800

Hi Stephen,

On 2024/4/24 09:26, Baokun Li wrote:
> Hi Stephen,
> 
> On 2024/4/24 8:24, Stephen Rothwell wrote:
>> Hi all,
>>
>> Today's linux-next merge of the vfs-brauner tree got a conflict in:
>>
>>    fs/erofs/super.c
>>
>> between commits:
>>
>>    ab1bbc1735ff ("erofs: get rid of erofs_fs_context")
>>    569a48fed355 ("erofs: reliably distinguish block based and fscache mode")
>>
>> from the erofs-fixes tree and commit:
>>
>>    e4f586a41748 ("erofs: reliably distinguish block based and fscache mode")
>>
>> from the vfs-brauner tree.
>>
>> I fixed it up (I think - I used the former version) and can carry the
>> fix as necessary. This is now fixed as far as linux-next is concerned,
>> but any non trivial conflicts should be mentioned to your upstream
>> maintainer when your tree is submitted for merging.  You may also want
>> to consider cooperating with the maintainer of the conflicting tree to
>> minimise any particularly complex conflicts.
>>
> Christian previously mentioned that the fix from the vfs-brauner tree
> was an accident:
> 
> "An an accident on my part as I left it in the vfs.fixes branch."
> 
> So the two commits from the erofs-fixes tree are the final fixes.
> 
> I'm very sorry for any inconvenience caused.

Yeah, Christian was picked this fix by accident as mentioned in,
https://lore.kernel.org/r/20240419-tundra-komodowaran-5c3758d496e4@brauner

I guest that was due to his local work at that time since the
original idea to fix this issue was from him (thanks again!).

Currently I tend to submit these two fixes on my own for this
development cycle in order to meet the test plans.

Thanks,
Gao Xiang

> Thanks,
> Baokun